Execution
Reports
Generate reports for campaigns, Search Console, SERP, AI visibility, technical SEO and indexing in PDF, CSV or JSON.
POST
/api/v1/reportsRead & write keyGenerate a report
Authentication: Bearer API key in the Authorization header.
| Parameter | In | Type | Description |
|---|---|---|---|
| type* | body | campaign | search_console | serp | ai_visibility | technical | indexing | Report type |
| format | body | pdf | csv | json | Default pdf |
| websiteId | body | string | All websites when omitted |
| from | body | YYYY-MM-DD | Period start |
| to | body | YYYY-MM-DD | Period end |
| whiteLabel | body | boolean | Use workspace branding |
Request
curl -X POST "https://rankspire.tech/api/v1/reports" \
-H "Authorization: Bearer $RANKSPIRE_KEY" \
-H "Content-Type: application/json" \
-d '{ "type": "search_console", "format": "pdf", "websiteId": "cm1site9x0001" }'Response
{ "data": { "id": "cm1rep…", "status": "queued", "jobId": "cm1job…" } }GET
/api/v1/reportsRead keyList reports
Authentication: Bearer API key in the Authorization header.
Request
curl "https://rankspire.tech/api/v1/reports" \
-H "Authorization: Bearer $RANKSPIRE_KEY"Response
{ "data": [{ "id": "cm1rep…", "title": "Search Console report — example.com", "format": "pdf", "status": "completed" }] }GET
/api/v1/reports/{id}Read keyReport status
Authentication: Bearer API key in the Authorization header.
Request
curl "https://rankspire.tech/api/v1/reports/cm1site9x0001" \
-H "Authorization: Bearer $RANKSPIRE_KEY"Response
{ "data": { "id": "cm1rep…", "status": "completed", "downloadUrl": "/api/v1/reports/cm1rep…/download" } }